POST /batch-processor
Paid plans only This endpoint is used to submit jobs to the batch processor. A job request includes three components: a preset (preset), an input configuration (inParams), an output configuration (outParams).
The preset defines the type of job to run. This is a required attribute and available presets are: transcript, summarize.
The inParams defines where the inputs for the job are coming from. An existing recordingId or a URL to a video/audio file are the two possible configurations.
The outParams defines how the outputs for the job are configured like the filename of the output.
Depending on the preset type, an optional transformParams object may contain configuration that describes the transformation applied to the data. Currently only the transcript preset supports these transform configuration options.
Request Template (json)
Top-level configuration
Input configuration (inParams)
Note:
language in inParams is only supported for the transcript preset. Additional options are available for transcriptions, see below.
Transform configuration (transformParams)
Transcription configuration (transformParams.transcript)
The following parameters can be passed in the transformParams.transcript object.
None of the parameters are required. See the documentation for each parameter for more information on their default values.
Note that you can include more parameters using the extra object.
If you pass a value for language both using inParams and this configuration object, the value provided here will be used.
Language Support
The exact list of supported languages may depend on themodel parameter in transcription configuration (see above).
In the default configuration, the supported languages using the language parameter are:
Output configuration (outParams)
s3KeyReplacement
The default output path fortranscript and summary jobs are domain_name/jobId/transcript/s3Config.s3KeyTemplate and domain_name/jobId/summary/s3Config.s3KeyTemplate respectively.
s3KeyReplacement with useReplacement can be used to customize the S3 path of the generated output. Template replacements are made up of a replacement string with prefixes, suffixes, or both. The currently supported replacements are:
epoch_time— the epoch time in seconds (optional)domain_name— your Daily domain (optional)job_id— the job ID assigned to the job (optional)
- Maximum template size is 1024 characters
- Each replacement parameter should be placed within curly brackets (e.g.,
{domain_name}) - Only alphanumeric characters (0-9, A-Z, a-z) and
.,/,-,*are valid within the template
"myDomain" and template myprefix-{domain_name}-{epoch_time}:
Transcript example requests
- Transcript with media file
- Transcript with recording id
- Special Words in Transcript
Summary example requests
- Summary with media file
- Summary with recording id
- Summary with transcript
Example responses
- 200 OK
- 400 Bad request